include:
  - local: ".gitlab/ci/wiki.yml"
    rules:
      - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
        when: never
      - if: '$CI_PIPELINE_SOURCE == "push" && $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
      - changes:
          - doc/**/*
  - local: ".gitlab/ci/deploy.yml"
    rules:
      - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
        when: never
      - if: '$CI_PIPELINE_SOURCE == "push" && $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
      - changes:
          # exclude documentation changes from deploy
          - "doc/**/*"
        when: never

# dummy job, gitlab gets mad when no jobs exist (when the above are never imported)
dummy:
  stage: build
  interruptible: true
  script:
    - echo "dummy"
  # rules:
  #   - when: never
